const $ = require('jquery');
const _ = require('underscore');
const Backbone = require('backbone');
const tpl = require('./lib/utils');

const HeaderView = Backbone.View.extend({

  'initialize':function () {
    console.log('>> this', this);
    this.template = _.template(tpl.get('header'));
  },

  'render':function (eventName) {
    $(this.el).html(this.template());

    return this;
  },

  'events':{
    'click .new':'newWine'
  },

  'newWine':function (event) {
    app.navigate('wines/new', true);

    return false;
  }

});

module.exports = { HeaderView };
