
const Backbone = require('backbone');

const RecipeModel = Backbone.Model.extend({
  'urlRoot':'http://localhost:3000/recipes',
  'defaults':{
    'id':null,
    'name':'',
    'hash':''
  }
});

const RecipeCollection = Backbone.Collection.extend({
  'model':RecipeModel,
  'url':'http://localhost:3000/recipes'
});

module.exports = { RecipeModel, RecipeCollection };
